import httpRequest from '@/utils/axios'

/**
 * 获取动态变量列表
 */
export function getParamsList(params) {
  return httpRequest.get('/api/certificate/v1/backend/param/list', { params })
}

/**
 * 创建模板
 */
export function createTemplate(data) {
  return httpRequest.post('/api/certificate/v1/backend/template/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/certificate/v1/backend/template/list', { params })
}

/**
 * 获取详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/certificate/v1/backend/template/view', { params })
}

/**
 * 更新模板
 */
export function updateTemplate(data) {
  return httpRequest.post('/api/certificate/v1/backend/template/update', data)
}

/**
 * 更新模板
 */
export function updateBanner(data) {
  return httpRequest.post('/api/certificate/v1/backend/template/update', data)
}

/**
 * 删除模板
 */
export function deleteTemplate(data) {
  return httpRequest.post('/api/certificate/v1/backend/template/delete', data)
}

/**
 * 获取项目列表
 */
export function getProjectList(params) {
  return httpRequest.get('/api/certificate/v1/backend/project/list', { params })
}
